POST /subscriptions

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/subscriptions

Create a subscription

Subscribe a target_url to a Trackdrive event such as new_call. Trackdrive POSTs the event payload to that URL every time the event fires. If a subscription already exists for the same target_url and event it is updated instead of duplicated. Optional trigger_fields limit delivery to records matching specific field values.

Params

Param name Description
target_url
Required

The unique auto-generated subscription URL where Trackdrive will send JSON data when the event is triggered.

  • Must be a valid URL.

event
Required

The event that will be triggered. EG: When a new call comes in.

  • Must be one of: new_call, call_ringing, call_forwarded, call_ended, call_changed, new_lead, lead_ended, lead_converted, lead_opted_out, lead_changed, incoming_text_message.

trigger_fields
Optional

Filter the data returned by the subscription. Only trigger if the object matches the given trigger fields. For example:
{buyer_converted: true, offer_id: 1} would only fire the trigger if the call converted and came from offer 1. Acceptable triggers: schedule_id traffic_source_id offer_id buyer_converted has_recording either_converted buyer_id offer_converted number_id

  • Must be a Hash